<template>
	<div class="parent">
		<div v-for="dep in departments" :key="dep.id">
			<q-card bordered class="child bg-primary">
				<q-img class="ImgSize bg-white" :src="require('../assets/' + dep.img)" />
				<q-card-actions class="text-white" vertical align="center">
					<q-btn flat @click="browseTo($t('departments.'+dep.id))">{{$t('departments.'+dep.id)}}</q-btn>
				</q-card-actions>
			</q-card>
		</div>
	</div>
</template>

<script>
	export default {
		name: "departmentCard",
		props: {
			departments: {
				type: Array,
				required: true
			}
		},
		data() {
			return {
				lang: this.$i18n.t("language.lang")
			};
		},
		methods: {
			browseTo(depId) {
				this.$emit("browseTo", depId);
			},
			getImgUrl(id) {}
		},
		created() {}
	};
</script>

<style lang="css" scoped>
	.parent {
		display: flex;
		flex-wrap: wrap;
		flex-direction: column;
		align-items: center;
	}

	@media screen and (min-width: 540px) {
		.parent {
			display: flex;
			flex-direction: row;
			flex-wrap: wrap;
			justify-content: center;
		}
	}

	.child {
		margin: 0.5em;
		width: 20em;
		height: 20em;
		min-width: 5em;
		min-height: 5em;
	}
	.ImgSize {
		max-width: 20em;
		height: 16em;
	}
</style>
